class InterceptableMapping {
  Map<Type, InstanceCreator> _dict = {};

  void load(Map<Type, InstanceCreator> dict) {
    _dict = dict;
  }

  Object get(Type type) {
    if (_dict[type] == null) {
      return null;
    }

    return _dict[type]();
  }
}

typedef Object InstanceCreator();
