import "package:interceptable/interceptable.dart";

class MethodTarget extends Target {
  final dynamic method;

  MethodTarget(
    Object instance,
    Type type,
    String declarationName,
    this.method,
  ) : super(instance, type, declarationName);

  @override
  Object execute() {
    return Function.apply(method, []);
  }
}
